SystemOrganization addCategory: #ConfigurationOfXMLWriter!

Object subclass: #ConfigurationOfXMLWriter
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfXMLWriter'!

!ConfigurationOfXMLWriter commentStamp: '<historical>' prior: 0!
'!!!!!! Current loading expressions and key development history

- Version 2.3 - 2013-11-22 Monty's Enhancements
[[[ 
	(ConfigurationOfXMLWriter project version: ''2.3'') load
]]]

- Version 2.2.1 - 2013-07-10 Merged fix of Camillo for fileSystem interaction.
[[[ 
	(ConfigurationOfXMLWriter project version: ''2.2.1'') load
]]]

- Version 2.2.0 - Migrated to PharoExtras
[[[ 	
	(ConfigurationOfXMLWriter project version: ''2.2.0'') load
]]]
	
- Version 2.1.0 Introduced tests and symbolic configurations

[[[ 
	(ConfigurationOfXMLWriter project version: ''2.1.0'') load
	(ConfigurationOfXMLWriter project version: ''2.1.0'') record loadDirective
]]]

- Version 2.0.0 After SmalltalkHub Migration and the introduction of configuration in other projects

- Pre-smalltalkhub migration
[[[
(ConfigurationOfXMLWriter project version: ''1.0.5'') load
]]]
'!

!ConfigurationOfXMLWriter class methodsFor: 'private' stamp: 'JAAyer 11/16/2010 23:43'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfXMLWriter class methodsFor: 'catalog' stamp: 'StephaneDucasse 11/24/2013 17:51'!
catalogChangeLog

^ '
- Version 2.3 - 2013-11-22 Monty''s Enhancements
[[[ 
	(ConfigurationOfXMLWriter project version: ''2.3'') load
]]]

- Version 2.2.1 - 2013-07-10 Merged fix of Camillo for fileSystem interaction.
[[[ 
	(ConfigurationOfXMLWriter project version: ''2.2.1'') load
]]]

- Version 2.2.0 - Migrated to PharoExtras
[[[ 	
	(ConfigurationOfXMLWriter project version: ''2.2.0'') load
]]]
	
- Version 2.1.0 Introduced tests and symbolic configurations
[[[ 
	(ConfigurationOfXMLWriter project version: ''2.1.0'') load
	(ConfigurationOfXMLWriter project version: ''2.1.0'') record loadDirective
]]]

- Version 2.0.0 After SmalltalkHub Migration and the introduction of configuration in other projects
- Pre-smalltalkhub migration
[[[
	(ConfigurationOfXMLWriter project version: ''1.0.5'') load
]]]
'! !

!ConfigurationOfXMLWriter class methodsFor: 'catalog' stamp: 'StephaneDucasse 8/23/2013 15:41'!
catalogDescription

	^ 'XMLWriter allows you to generate well-formed XML documents using a nice API based on a canvas and tag brush API. It offers a compact way to produce XML documents without stupid syntactic mistakes.'
! !

!ConfigurationOfXMLWriter class methodsFor: 'catalog' stamp: 'StephaneDucasse 8/23/2013 21:50'!
catalogKeyClassesAndExample

^ 'The main entry point is the class ==XMLWriter==.

Here are examples of the API 
[[[ 
	| writer |
	writer := XMLWriter new.
	writer tag
		name: ''emptyTag'';
		attributeAt: ''a'' put: ''one'';
		write.
]]]
	
[[[
	| writer |
	writer := XMLWriter new.
	writer
		enablePrettyPrinting;
		xml;
		comment: ''an example''.
	writer tag
		name: ''example:user'';
		xmlnsAt: ''example'' put: ''urn://example'';
		with: [
			writer
				tag: ''username'' with: ''jsmith'';
				tag: ''real-name'' with: ''John Smith'';
				tag: ''age'' with: ''25'';
				tag: ''id'' with: ''101''] 
]]]
'! !

!ConfigurationOfXMLWriter class methodsFor: 'catalog' stamp: 'StephaneDucasse 8/23/2013 15:39'!
catalogKeywords

	^ #( XML )
					
! !

!ConfigurationOfXMLWriter class methodsFor: 'private' stamp: 'JAAyer 11/16/2010 23:43'!
ensureMetacello
	"Bootstrap Gofer (if necessary), load latest mcz file for ConfigurationOfMetacello (using old 
	 Gofer API), then load the latest version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [ | error |
		"list of repositories to try, in case primary repository is not accessible"
		(Array 
			with: 'http://www.squeaksource.com/MetacelloRepository' 
			with: 'http://seaside.gemstone.com/ss/metacello') do: [:repositoryUrl |
				([
					Smalltalk at: #Gofer ifAbsent: [
					"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
						self bootstrapPackage: 'Gofer-Core-lr.115' from: repositoryUrl ].
					Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
						gofer := goferClass new
							url: repositoryUrl;
							yourself.
						[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
						gofer load ]]
							on: Error
							do: [ :ex |
								error := ex.
								Transcript 
									cr; 
									show: 'failed ensureMetacello: ';
									show: ex description printString;
									show: '...retrying'.
								"try again"
								ex return: nil ]) ~~ nil
					ifTrue: [
						"load 'default' group of Metacello"
						(Smalltalk at: #ConfigurationOfMetacello) perform: #load.
						^self ]].
		"shouldn't get here unless the load failed ... throw an error"
		self error: 'retry with alternate repository failed: ', error description printString ]! !

!ConfigurationOfXMLWriter class methodsFor: 'metacello tool support' stamp: 'JAAyer 11/16/2010 23:43'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfXMLWriter class methodsFor: 'metacello tool support' stamp: 'JAAyer 11/16/2010 23:43'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfXMLWriter class methodsFor: 'loading' stamp: 'JAAyer 11/16/2010 23:43'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfXMLWriter class methodsFor: 'metacello tool support' stamp: 'JAAyer 11/16/2010 23:43'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfXMLWriter class methodsFor: 'accessing' stamp: 'JAAyer 11/16/2010 23:43'!
project

	^self new project! !

!ConfigurationOfXMLWriter class methodsFor: 'unloading Metacello' stamp: 'JAAyer 11/16/2010 23:43'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfXMLWriter methodsFor: 'baselines' stamp: 'dkh 2/26/2011 17:04'!
baseline100: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec
			blessing: #baseline;
			repository: 'http://www.squeaksource.com/XMLWriter'.

		spec 
			package: 'Collections-CharacterMap' with: [
				spec repository: 'http://www.squeaksource.com/CharacterMap'];
			package: 'XML-Writer' with: [spec requires: 'Collections-CharacterMap'].

		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Writer');
			group: 'Tests' with: #()].! !

!ConfigurationOfXMLWriter methodsFor: 'baselines' stamp: 'dkh 2/26/2011 17:04'!
baseline101: spec 
	<version: '1.0.1-baseline'>
	
	spec for: #common do: [
		spec
			blessing: #baseline;
			repository: 'http://www.squeaksource.com/XMLWriter'.

		spec
			package: 'Collections-OrderPreservingDictionary' with: [
				spec repository: 'http://www.squeaksource.com/OrderPreservingDict'];
			package: 'Collections-CharacterMap' with: [
				spec repository: 'http://www.squeaksource.com/CharacterMap'];
			package: 'XML-Writer' with: [
				spec requires: #('Collections-OrderPreservingDictionary' 'Collections-CharacterMap')].

		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Writer')].! !

!ConfigurationOfXMLWriter methodsFor: 'baselines' stamp: 'dkh 2/26/2011 17:05'!
baseline104: spec 
	<version: '1.0.4-baseline'>
	
	spec for: #common do: [
		spec
			blessing: #baseline;
			repository: 'http://www.squeaksource.com/XMLWriter'.

		spec
			package: 'Collections-OrderPreservingDictionary' with: [
				spec repository: 'http://www.squeaksource.com/OrderPreservingDict'];
			package: 'XML-Writer' with: [
				spec requires: #('Collections-OrderPreservingDictionary')].

		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Writer')].
		
	spec for: #gemstone do: [
		spec
			package: 'Collections-CharacterSet'.
		spec 
			package: 'XML-Writer' with:[spec requires: #('Collections-CharacterSet')]]! !

!ConfigurationOfXMLWriter methodsFor: 'baselines' stamp: 'dkh 2/26/2011 17:16'!
baseline105: spec
	<version: '1.0.5-baseline'>
	spec for: #common do: [ 
		spec
			blessing: #baseline;
			repository: 'http://www.squeaksource.com/XMLWriter'.
		spec
			package: 'Collections-OrderPreservingDictionary' with: [ 
				spec repository: 'http://www.squeaksource.com/OrderPreservingDict' ];
			package: 'Collections-Support';
			package: 'XML-Writer' with: [ 
				spec requires: #('Collections-Support' 'Collections-OrderPreservingDictionary') ].
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Writer');
			group: 'Tests' with: #() ].
		
	spec for: #squeakCommon do: [ 
		spec package: 'Collections-Support' with: [ 
			spec repository: 'http://www.squeaksource.com/Pharo' ] ].
	
	spec for: #gemstone do: [ 
		spec
			package: 'Collections-Support' with: [ 
				spec
					file: 'Collections-Support.g';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport' ];
			package: 'Collections-Tests-Support' with: [ 
				spec
					file: 'Collections-Tests-Support.g';
					requires: 'Collections-Support';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport' ].
		spec
			group: 'Tests' with: #('Collections-Tests-Support') ]! !

!ConfigurationOfXMLWriter methodsFor: 'baselines' stamp: 'StephaneDucasse 2/17/2013 09:28'!
baseline200: spec
	<version: '2.0.0-baseline'>

	spec for: #common do: [ 
		spec
			blessing: #baseline;
			description: 'Migrated to SmalltalkHub and taking into account new configurations of subcomponents';
			repository: 'http://smalltalkhub.com/mc/Pharo/XMLWriter/main'.
				
		"Does not work without a className: specification
		
		spec project: 'OrderPreservingDictionary' with: [
			spec 
				versionString: #stable; 
				loads: #('Core'); 
				repository: 'http://smalltalkhub.com/mc/Pharo/OrderPreservingDictionary/main'].
		spec package: 'XML-Writer' with: [ spec requires: #('OrderPreservingDictionary') ]."
			
		spec project: 'OrderPreservingDictionary' with: [
			spec 
				className: 'ConfigurationOfOrderPreservingDictionary';
				versionString: #stable; 
				loads: #('Core'); 
				repository: 'http://smalltalkhub.com/mc/Pharo/OrderPreservingDictionary/main'].	
				
		spec package: 'XML-Writer' with: [spec requires: 'OrderPreservingDictionary']. 
			
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Writer');
			group: 'Tests' with: #() ].
	
	
	
	"I removed it because it loads an old version of the pckage and this is a nonsense"	
	spec for: #squeakCommon do: [ 
		spec package: 'Collections-Support' with: [ 
			spec repository: 'http://ss3.gemstone.com/ss/Pharo20' ] ].
	
	
	
	
	spec for: #gemstone do: [ 
		spec
			package: 'Collections-Support' with: [ 
				spec
					file: 'Collections-Support.g';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport' ];
			package: 'Collections-Tests-Support' with: [ 
				spec
					file: 'Collections-Tests-Support.g';
					requires: 'Collections-Support';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport' ].
		spec
			group: 'Tests' with: #('Collections-Tests-Support') ]! !

!ConfigurationOfXMLWriter methodsFor: 'baselines' stamp: 'StephaneDucasse 2/17/2013 10:12'!
baseline210: spec
	<version: '2.1.0-baseline'>

	spec for: #common do: [ 
		spec
			blessing: #baseline;
			description: 'Adding a test package';
			repository: 'http://smalltalkhub.com/mc/Pharo/XMLWriter/main'.
				
		spec project: 'OrderPreservingDictionary' with: [
			spec 
				className: 'ConfigurationOfOrderPreservingDictionary';
				versionString: #stable; 
				loads: #('Core'); 
				repository: 'http://smalltalkhub.com/mc/Pharo/OrderPreservingDictionary/main'].	
				
		spec package: 'XML-Writer-Core' with: [spec requires: 'OrderPreservingDictionary']. 
		spec package: 'XML-Writer-Tests' with: [spec requires: 'XML-Writer-Core']. 
		
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Writer-Core');
			group: 'Tests' with: #('XML-Writer-Tests')].
	
	
	"Can only work for Pharo1.4 and 2.0.
	To be changed when pharo will be managed on SmalltalkHub"
		
	spec for: #squeakCommon do: [ 
		spec package: 'Collections-Support' with: [ 
			spec repository: 'http://ss3.gemstone.com/ss/Pharo20' ] ].
	
	
	"I did not touch this part because Ido not know it. On Pharo XMLWriter has its own repository"
	spec for: #gemstone do: [ 
		spec
			package: 'Collections-Support' with: [ 
				spec
					file: 'Collections-Support.g';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport' ];
			package: 'Collections-Tests-Support' with: [ 
				spec
					file: 'Collections-Tests-Support.g';
					requires: 'Collections-Support';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport' ].
		spec
			group: 'Tests' with: #('Collections-Tests-Support') ]! !

!ConfigurationOfXMLWriter methodsFor: 'baselines' stamp: 'StephaneDucasse 8/23/2013 16:06'!
baseline220: spec
	<version: '2.2.0-baseline'>
	spec
		for: #common
		do: [ 
			spec
				blessing: #baseline;
				description: 'Moving to PharoExtras';
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main'.
			spec
				project: 'OrderPreservingDictionary'
				with: [ 
					spec
						className: 'ConfigurationOfOrderPreservingDictionary';
						versionString: #stable;
						loads: #('Core');
						repository: 'http://smalltalkhub.com/mc/PharoExtras/OrderPreservingDictionary/main' ].
			spec package: 'XML-Writer-Core' with: [ spec requires: 'OrderPreservingDictionary' ].
			spec package: 'XML-Writer-Tests' with: [ spec requires: 'XML-Writer-Core' ].
			spec
				group: 'default' with: #('Core' 'Tests');
				group: 'Core' with: #('XML-Writer-Core');
				group: 'Tests' with: #('XML-Writer-Tests')	"default by default is equivalent to loading 'ALL' the packages still we added explicitly Tests to be loaded" ].	"Can only work for Pharo1.4 and 2.0.
	To be changed when pharo will be managed on SmalltalkHub"
	spec
		for: #squeakCommon
		do: [ spec package: 'Collections-Support' with: [ spec repository: 'http://ss3.gemtalksystems.com/ss/Pharo20' ] ].	"I did not touch this part because Ido not know it. On Pharo XMLWriter has its own repository"
	spec
		for: #gemstone
		do: [ 
			spec
				package: 'Collections-Support'
					with: [ 
							spec
								file: 'Collections-Support.g';
								repository: 'http://seaside.gemtalksystems.com/ss/XMLSupport' ];
				package: 'Collections-Tests-Support'
					with: [ 
							spec
								file: 'Collections-Tests-Support.g';
								requires: 'Collections-Support';
								repository: 'http://seaside.gemtalksystems.com/ss/XMLSupport' ].
			spec group: 'Tests' with: #('Collections-Tests-Support') ]! !

!ConfigurationOfXMLWriter methodsFor: 'baselines' stamp: 'CamilloBruni 11/29/2013 15:27'!
baseline231: spec
	<version: '2.3.1-baseline'>
	spec
		for: #common
		do: [ 
			spec
				blessing: #baseline;
				description: 'Moving to PharoExtras';
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main'.
			spec
				project: 'OrderPreservingDictionary'
				with: [ 
					spec
						className: 'ConfigurationOfOrderPreservingDictionary';
						versionString: #stable;
						loads: #('Core');
						repository: 'http://smalltalkhub.com/mc/PharoExtras/OrderPreservingDictionary/main' ].
			spec package: 'XML-Writer-Core' with: [ spec requires: 'OrderPreservingDictionary' ].
			spec package: 'XML-Writer-Tests' with: [ spec requires: 'XML-Writer-Core' ].
			spec
				group: 'default' with: #('Core' 'Tests');
				group: 'Core' with: #('XML-Writer-Core');
				group: 'Tests' with: #('XML-Writer-Tests')	"default by default is equivalent to loading 'ALL' the packages still we added explicitly Tests to be loaded" ].	"Can only work for Pharo1.4 and 2.0.
	To be changed when pharo will be managed on SmalltalkHub"
	spec
		for: #squeak
		do: [ spec package: 'Collections-Support' with: [ spec repository: 'http://ss3.gemtalksystems.com/ss/Pharo20' ] ].	"I did not touch this part because Ido not know it. On Pharo XMLWriter has its own repository"
	spec
		for: #gemstone
		do: [ 
			spec
				package: 'Collections-Support'
					with: [ 
							spec
								file: 'Collections-Support.g';
								repository: 'http://seaside.gemtalksystems.com/ss/XMLSupport' ];
				package: 'Collections-Tests-Support'
					with: [ 
							spec
								file: 'Collections-Tests-Support.g';
								requires: 'Collections-Support';
								repository: 'http://seaside.gemtalksystems.com/ss/XMLSupport' ].
			spec group: 'Tests' with: #('Collections-Tests-Support') ]! !

!ConfigurationOfXMLWriter methodsFor: 'symbolic' stamp: 'monty 12/31/2013 03:12'!
development: spec
	<symbolicVersion: #'development'>
	
	spec for: #'pharo' version: '2.3.4'.
! !

!ConfigurationOfXMLWriter methodsFor: 'accessing' stamp: 'JAAyer 11/16/2010 23:43'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfXMLWriter methodsFor: 'symbolic' stamp: 'monty 12/31/2013 03:12'!
stable: spec
	<symbolicVersion: #'stable'>
	
	spec for: #'pharo' version: '2.3.4'.
! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'JAAyer 11/18/2010 16:13'!
version100: spec 
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.

		spec
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Writer' with: 'XML-Writer-JAAyer.1'].! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'JAAyer 11/20/2010 08:22'!
version101: spec 
	<version: '1.0.1' imports: #('1.0.1-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.

		spec
			package: 'Collections-OrderPreservingDictionary'
			with: 'Collections-OrderPreservingDictionary-JAAyer.1';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Writer' with: 'XML-Writer-JAAyer.2'].! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'JAAyer 11/24/2010 14:36'!
version102: spec 
	<version: '1.0.2' imports: #('1.0.1-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.

		spec
			package: 'Collections-OrderPreservingDictionary'
			with: 'Collections-OrderPreservingDictionary-JAAyer.1';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Writer' with: 'XML-Writer-JAAyer.3'].! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'JAAyer 12/6/2010 23:02'!
version103: spec 
	<version: '1.0.3' imports: #('1.0.1-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.

		spec
			package: 'Collections-OrderPreservingDictionary'
			with: 'Collections-OrderPreservingDictionary-JAAyer.5';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Writer' with: 'XML-Writer-JAAyer.4'].! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'JohanBrichau 1/31/2011 20:59'!
version104: spec 
	<version: '1.0.4' imports: #('1.0.4-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.

		spec
			package: 'Collections-OrderPreservingDictionary'
			with: 'Collections-OrderPreservingDictionary-JAAyer.6';
			package: 'XML-Writer' with: 'XML-Writer-JAAyer.5'].

	spec for: #gemstone do: [
		spec 
			package: 'Collections-CharacterSet' with: 'Collections-CharacterSet-JohanBrichau.1']! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'JohanBrichau 03/14/2011 14:09'!
version105: spec
	<version: '1.0.5' imports: #('1.0.5-baseline')>
	spec
		for: #common
			do: [ 
					spec
						blessing: #release;
						package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.6';
						package: 'XML-Writer' with: 'XML-Writer-JAAyer.5' ];
		for: #squeakCommon do: [ spec package: 'Collections-Support' with: 'Collections-Support-StephaneDucasse.35' ];
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'StephaneDucasse 2/17/2013 10:43'!
version200: spec
	<version: '2.0.0' imports: #('2.0.0-baseline')>
	spec
		for: #common
			do: [ spec
					blessing: #release;
					package: 'XML-Writer' with: 'XML-Writer-JAAyer.5' ];
		
		" I do not understand the following line because it means that we would load an older version than the one currently in Pharo. Clearly the best way to introduce bugs and losing hours trying to understand why.
		for: #squeakCommon do: [ spec package: 'Collections-Support' with: 'Collections-Support-StephaneDucasse.35' ];"
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'StephaneDucasse 2/17/2013 10:42'!
version210: spec
	<version: '2.1.0' imports: #('2.1.0-baseline')>
	spec
		for: #common
			do: [ spec
					blessing: #release;
					package: 'XML-Writer-Core' with: 'XML-Writer-Core-StephaneDucasse.1' ;
					package: 'XML-Writer-Tests' with: 'XML-Writer-Tests-StephaneDucasse.1' ];
		
		" I do not understand the following line because it means that we would load an older version than the one currently in Pharo. Clearly the best way to introduce bugs and losing hours trying to understand why.
		for: #squeakCommon do: [ spec package: 'Collections-Support' with: 'Collections-Support-StephaneDucasse.35' ];"
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'StephaneDucasse 7/11/2013 15:24'!
version220: spec
	<version: '2.2.0' imports: #('2.1.0-baseline')>
	spec
		for: #common
			do: [ spec
					blessing: #release;
					package: 'XML-Writer-Core' with: 'XML-Writer-Core-StephaneDucasse.1' ;
					package: 'XML-Writer-Tests' with: 'XML-Writer-Tests-StephaneDucasse.1' ];
		
	
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'StephaneDucasse 7/12/2013 08:14'!
version221: spec
	<version: '2.2.1' imports: #('2.1.0-baseline')>
	spec
		for: #common
			do: [ spec
					blessing: #release;
					package: 'XML-Writer-Core' with: 'XML-Writer-Core-CamilloBruni.2' ;
					package: 'XML-Writer-Tests' with: 'XML-Writer-Tests-StephaneDucasse.1' ];
		
	
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'monty 12/31/2013 03:12'!
version230: spec
	<version: '2.3' imports: #('2.2.0-baseline')>
	spec
		for: #common
			do: [ spec
					description: 'Enhancements made by monty to support Entity% and others';
					blessing: #release;
					package: 'XML-Writer-Core' with: 'XML-Writer-Core-monty.5' ;
					package: 'XML-Writer-Tests' with: 'XML-Writer-Tests-StephaneDucasse.1' ];
		
	
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'CamilloBruni 11/29/2013 15:26'!
version231: spec
	<version: '2.3.1' imports: #('2.3.1-baseline')>
	spec
		for: #common
			do: [ spec
					description: 'Enhancements made by monty to support Entity% and others';
					blessing: #release;
					package: 'XML-Writer-Core' with: 'XML-Writer-Core-monty.5' ;
					package: 'XML-Writer-Tests' with: 'XML-Writer-Tests-StephaneDucasse.1' ];
		
	
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'monty 12/1/2013 22:53'!
version232: spec
	<version: '2.3.2' imports: #('2.3.1-baseline')>
	spec
		for: #common
			do: [ spec
					blessing: #release;
					package: 'XML-Writer-Core' with: 'XML-Writer-Core-monty.6' ;
					package: 'XML-Writer-Tests' with: 'XML-Writer-Tests-StephaneDucasse.1' ];
		
	
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'monty 12/21/2013 20:37'!
version233: spec
	<version: '2.3.3' imports: #('2.3.1-baseline')>
	spec
		for: #common
			do: [ spec
					blessing: #release;
					package: 'XML-Writer-Core' with: 'XML-Writer-Core-monty.7' ;
					package: 'XML-Writer-Tests' with: 'XML-Writer-Tests-StephaneDucasse.1' ];
		
	
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !

!ConfigurationOfXMLWriter methodsFor: 'versions' stamp: 'monty 12/31/2013 03:12'!
version234: spec
	<version: '2.3.4' imports: #('2.3.1-baseline')>
	spec
		for: #common
			do: [ spec
					blessing: #release;
					package: 'XML-Writer-Core' with: 'XML-Writer-Core-monty.8' ;
					package: 'XML-Writer-Tests' with: 'XML-Writer-Tests-StephaneDucasse.1' ];
		
	
		for: #gemstone
			do: [ 
					spec
						package: 'Collections-Support' with: 'Collections-Support.g-OttoBehrens.45';
						package: 'Collections-Tests-Support' with: 'Collections-Tests-Support.g-OttoBehrens.3' ]! !
